Bug 125402 - Soundcard detection failure
Soundcard detection failure
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-06 07:52 EDT by Robert Tucker
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-09 12:49:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Tucker 2004-06-06 07:52:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
Probably just another report of a problem with soundcard detection
with Fedora Core 2 � Linux Kernel 2.6

I guess the following will be understandable enough without further
comment:

The following audio device was detected:

Vendor: VIA Technologies
Model: VT8233/A/8235/8237 AC97 Audio Controller
Module: snd-via82xx

Try to play test sound and:

Automatic detection of the sound card did not work.  Audio will not be
available on the system.  Please click OK to continue.

The motherboard is a Shuttle AV49VN with the above VIA onboard sound,
of course.

Complete, fresh installation of Fedora Core 2.

Soundcard detected perfectly by Red Hat Linux 9 and Fedora Core 1 (Yum
upgrade from RH9).

Believe it is to do with switch from OSS to ALSA, but have not yet
found good, clear, convincing  description of how to get sound working.

Version-Release number of selected component (if applicable):


How reproducible: Always

Steps to Reproduce:
1.> System Settings
2.> Soundcard Detection
3.> Play test sound
    

Actual Results:  No sound, mplayer just shows video without sound, no
audio streaming

Expected Results:  Sound from both speakers one after the other then
together etc etc

Additional info:
Comment 1 Bill Nottingham 2004-06-07 11:13:51 EDT
That's the correct driver, so it appears something is wrong with the
driver code.
Comment 2 Robert Tucker 2004-06-09 08:37:58 EDT
Listing of /etc/modproce.conf:

alias eth0 via-rhine
alias snd-card-0 snd-via82xx
install snd-via82xx /sbin/modprobe --ignore-install snd-via82xx &&
/usr/sbin/alsactl restore >/dev/null 2>&1 || :
remove snd-via82xx { /usr/sbin/alsactl store >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-via82xx
alias usb-controller ehci-hcd
alias usb-controller1 uhci-hcd

Is this OK?
Comment 3 Robert Tucker 2004-06-09 08:39:11 EDT
Sorry, that was /etc/modprobe.conf
Comment 4 Robert Tucker 2004-06-09 12:49:37 EDT
Have found that there were (zero) settings in “Volume Control” panel
that needed changing (should have checked there first I guess, but
with the test sound not playing.... )

CD's and MPlayer now seem to play OK, but the test sound and
RealPlayer play with a sort of (quite audible) scratchy sound in the
background.

Note You need to log in before you can comment on or make changes to this bug.